/************************************************************************
 * Valise3Levels.js
 ************************************************************************
 * Copyright (c) 2021 Pedro Tonini Rosenberg Schneider.
 *
 * This file is part of Alfabetiza.
 *
 * Alfabetiza is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * Alfabetiza is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *     
 * You should have received a copy of the GNU General Public License     
 * along with Alfabetiza.  If not, see <https://www.gnu.org/licenses/>.
 *************************************************************************/

const VALISE3_LEVELS = {
    tutorial:
    {
        questionCard:
        {
            name: "Caqui",
        },

        optionCards: [
        {
            name: "Aqui",
            isAnswer: true,
        },
        {
            name: "Casa",
            isAnswer: false,
        },
        {
            name: "Quiabo",
            isAnswer: false,
        },
        {
            name: "Pera",
            isAnswer: false,
        }, ],

        tip1: "Começa com a letra F.",
        tip2: "O que está dentro da palavra CAQUI?"
    },

    level1:
    {
        questionCard:
        {
            name: "Floresta",
        },

        optionCards: [
        {
            name: "Flor",
            isAnswer: true,
        },
        {
            name: "Lobo",
            isAnswer: false,
        },
        {
            name: "Régua",
            isAnswer: false,
        },
        {
            name: "Árvore",
            isAnswer: false,
        }, ],

        tip1: "Começa com a letra A.",
        tip2: "O que está dentro da palavra FLORESTA?"
    },

    level2:
    {
        questionCard:
        {
            name: "Maracujá",
        },

        optionCards: [
        {
            name: "Já",
            isAnswer: true,
        },
        {
            name: "Mata",
            isAnswer: false,
        },
        {
            name: "Rato",
            isAnswer: false,
        },
        {
            name: "Água",
            isAnswer: false,
        }, ],

        tip1: "Começa com a letra J.",
        tip2: "O que está dentro da palavra MARACUJÁ?"
    },

    level3:
    {
        questionCard:
        {
            name: "Acordavam",
        },

        optionCards: [
        {
            name: "Corda",
            isAnswer: true,
        },
        {
            name: "Abacaxi",
            isAnswer: false,
        },
        {
            name: "Vaca",
            isAnswer: false,
        },
        {
            name: "Dado",
            isAnswer: false,
        }, ],

        tip1: "Começa com a letra C.",
        tip2: "O que está dentro da palavra ACORDAVAM?"
    },

    level4:
    {
        questionCard:
        {
            name: "Melão",
        },

        optionCards: [
        {
            name: "Mel",
            isAnswer: true,
        },
        {
            name: "Lata",
            isAnswer: false,
        },
        {
            name: "Não",
            isAnswer: false,
        },
        {
            name: "Livro",
            isAnswer: false,
        }, ],

        tip1: "Começa com a letra M.",
        tip2: "O que está dentro da palavra MELÃO?"
    },

    level5:
    {
        questionCard:
        {
            name: "Abacate",
        },

        optionCards: [
        {
            name: "Aba",
            isAnswer: true,
        },
        {
            name: "Bala",
            isAnswer: false,
        },
        {
            name: "Telefone",
            isAnswer: false,
        },
        {
            name: "Casa",
            isAnswer: false,
        }, ],

        tip1: "Começa com a letra A.",
        tip2: "O que está dentro da palavra ABACATE?"
    },

    level6:
    {
        questionCard:
        {
            name: "Goiaba",
        },

        optionCards: [
        {
            name: "Aba",
            isAnswer: true,
        },
        {
            name: "Gol",
            isAnswer: false,
        },
        {
            name: "Gaiola",
            isAnswer: false,
        },
        {
            name: "Baía",
            isAnswer: false,
        }, ],

        tip1: "Começa com a letra A.",
        tip2: "O que está dentro da palavra GOIABA?"
    },

    level7:
    {
        questionCard:
        {
            name: "Chamou",
        },

        optionCards: [
        {
            name: "Amou",
            isAnswer: true,
        },
        {
            name: "Chama",
            isAnswer: false,
        },
        {
            name: "Ouriço",
            isAnswer: false,
        },
        {
            name: "Morcego",
            isAnswer: false,
        }, ],

        tip1: "Começa com a letra A.",
        tip2: "O que está dentro da palavra CHAMOU?"
    },

    level8:
    {
        questionCard:
        {
            name: "Sementes",
        },

        optionCards: [
        {
            name: "Mente",
            isAnswer: true,
        },
        {
            name: "Seco",
            isAnswer: false,
        },
        {
            name: "Teto",
            isAnswer: false,
        },
        {
            name: "Nabo",
            isAnswer: false,
        }, ],

        tip1: "Começa com a letra M.",
        tip2: "O que está dentro da palavra SEMENTES?"
    },

    level9:
    {
        questionCard:
        {
            name: "Limão",
        },

        optionCards: [
        {
            name: "Mão",
            isAnswer: true,
        },
        {
            name: "Livro",
            isAnswer: false,
        },
        {
            name: "Caminhão",
            isAnswer: false,
        },
        {
            name: "Miado",
            isAnswer: false,
        }, ],

        tip1: "Começa com a letra M.",
        tip2: "O que está dentro da palavra LIMÃO?"
    },

    level10:
    {
        questionCard:
        {
            name: "Mexerica",
        },

        optionCards: [
        {
            name: "Mexe",
            isAnswer: true,
        },
        {
            name: "Caixa",
            isAnswer: false,
        },
        {
            name: "Rica",
            isAnswer: true,
        },
        {
            name: "Rio",
            isAnswer: false,
        },
        {
            name: "Espelho",
            isAnswer: false,
        }, ],

        tip1: "Uma das palavras começa com a letra M, e a outra começa com a letra R.",
        tip2: "O que está dentro da palavra MEXERICA?"
    },

    level11:
    {
        questionCard:
        {
            name: "Mexerica",
        },

        optionCards: [
        {
            name: "Rica",
            isAnswer: true,
        },
        {
            name: "Menino",
            isAnswer: false,
        },
        {
            name: "Casa",
            isAnswer: false,
        },
        {
            name: "Xadrez",
            isAnswer: false,
        }, ],

        tip1: "Começa com a letra R.",
        tip2: "O que está dentro da palavra MEXERICA?"
    },
}